Package ru.bitel.bgbilling.kernel.script.server.event

# Class EventScriptLinkModifiedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.script.server.event.EventScriptLinkModifiedEvent

All Implemented Interfaces:
  `Serializable`

public class EventScriptLinkModifiedEvent extends ru.bitel.bgbilling.kernel.event.common.Event
Асинхронное событие изменения привязки скрипта поведения.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventScriptLinkModifiedEvent()`
  `EventScriptLinkModifiedEvent(EventScriptLink link)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventScriptLink`
  `getEventScriptLink()`
  `void`
  `setEventScriptLink(EventScriptLink link)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EventScriptLinkModifiedEvent

    public EventScriptLinkModifiedEvent()

  - ### EventScriptLinkModifiedEvent

    public EventScriptLinkModifiedEvent(EventScriptLink link)

- ## Method Details

  - ### setEventScriptLink

    public void setEventScriptLink(EventScriptLink link)

  - ### getEventScriptLink

    public EventScriptLink getEventScriptLink()